/* Global styles */ /*THE DEFAULT STYLES ARE FOR MOBILE*/
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background-color: #fffff7;
}

#navbar {
  background-color: #fffff7;
}

#hamburger {
  position: fixed;
  font-size: 30px;
  cursor: pointer;
  padding: 10px;
  color: orange;
  top: 10px;
  left: 10px;
  padding-right: 10px;
  z-index: 9999;
}

/* Menu hidden by default */
#menu {
  position: fixed;
  top: 0;
  left: -100%;
  background: #333333;
  color: #333333;
  border-right: solid 1px#fffff7;
  width: 50%;
  height: 100vh;
  box-sizing: border-box;
  padding: 20px;
  padding-top: 90px;
  z-index: 9998;
  transition: left 0.35s ease; /* slide animation */
}

#menu.open {
  left: 0;
}

/* Style the links */
#menu a {
  display: block;
  padding: 15px 0;
  text-decoration: none;
  color: #fffff7;
  font-size: 20px;
}

#navbar.active {
  background-color: #fffff7;
  width: 50%;
}

.homepage {
  justify-content: center;
  align-items: center;
  z-index: 100;
  position: relative;
  height: 100vh;
  display: flex;
  flex-direction: column;
}

.titletext {
  font-family: "Rakkas", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 30px;
  color: #333333;
  text-align: center;
  z-index: 100;
  text-shadow: 2px 2px 1.5px #fffff7, -2px -2px 1.5px #fffff7;
  padding-left: 50px;
  padding-right: 50px;
}

.titletexts {
  font-family: "Rakkas", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 80px;
  color: rgb(239, 22, 131);
  text-align: center;
  z-index: 100;
  text-shadow: 2px 2px 1.5px #fffff7, -2px -2px 1.5px #fffff7;
  line-height: 80px;
  margin-bottom: 0;
  margin-top: 0;
  padding-left: 30px;
  padding-right: 30px;
  transition: transform 0.4s ease;
}

.title-link {
  text-decoration: none;
}

#shape-container {
  position: relative; /* Allows absolute positioning of shapes */
  overflow: hidden; /* Hides shapes that move outside the container */
}

.shape {
  position: absolute;
  opacity: 0; /* Initially hidden */
  transition: opacity 0.3s ease-in-out; /* Smooth transition for appearing/disappearing */
  z-index: 2; /* <-- behind the text now */
}

.circle {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  background-color: orange;
  z-index: 2;
}

.circle1 {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  background-color: rgb(239, 22, 131);
  z-index: 2;
}

.circle2 {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  background-color: #333333;
  z-index: 2;
}

.visible {
  opacity: 1; /* Makes the shape visible */
}

.aiskills {
  font-family: "Rakkas", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 40px;
  color: #333333;
  text-align: center;
  margin-top: 39px;
  margin-bottom: 39px;
}

.humanskills {
  font-family: "Rakkas", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 40px;
  color: #333333;
  text-align: center;
  margin-top: 39px;
  margin-bottom: 39px;
}


.aboutme {
  font-family: "Rakkas", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 40px;
  color: #333333;
  text-align: center;
  position: sticky;
  background-color: #fffff7;
  margin-top: 39px;
  margin-bottom: 39px;
}

.aboutmebody {
  background-color: #fffff7;
  height: auto;
}

.aiparagraph {
  font-family: Georgia, "Times New Roman", Times, serif;
  margin: 50px;
  line-height: 30px;
  font-size: 20px;
}

body,
html {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}

.personalbio {
  background-color: #333333;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  padding: 20px;
}

.personalbio2 {
  background-color: #fffff7;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  padding: 20px;
}

.biotext {
  color: orange;
  max-width: 400px;
  padding: 10px 40px;
  line-height: 30px;
  font-size: 20px;
  font-family: Georgia, "Times New Roman", Times, serif;
}

.biotext strong {
  color: rgb(234, 80, 157);
  font-weight: 700;
}

.sumpulse strong{
  color:orange;
  font-weight: 300;
}

.sumcreativity strong{
  color:orange;
  font-weight: 300;
}

.sumprecision strong{
   color:orange;
  font-weight: 300; 
}

.biotext2 {
  color: rgb(239, 22, 131);
  max-width: 400px;
  padding: 10px 20px;
  line-height: 30px;
  font-size: 20px;
  font-family: Georgia, "Times New Roman", Times, serif;
}

.biopic {
  width: 100%;
  max-width: 300px;
  height: auto;
  border: solid #fffff7 2px;
  margin: 20px;
}

.biopic2 {
  width: 100%;
  max-width: 300px;
  height: auto;
  border: solid #333333 2px;
  margin: 20px;
}

.bioinfo {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 400px;
}

.socialmedia-wrapper {
  display: flex;
  justify-content: center;
}

* {
  box-sizing: border-box;
}

body {
  font-family: Georgia, "Times New Roman", Times, serif;
}

.mySlides {
  display: none;
}

img {
  vertical-align: middle;
}

.slideshow-container {
  height: 350px;
  width: 250px;
  position: relative;
  margin: 20px;
  overflow: hidden;
}

.slideshow-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center; /* centers dots under slideshow */
  background-color: #333333;
  transform: scale(1.2); 
  transform-origin: top center;
}

.mySlides {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Caption text */
.text {
  color: #333333;
  font-size: 15px;
  position: absolute;
  bottom: 10px;
  width: 100%;
  height: 30px;
  text-align: center;
  background-color: #fffff7;
  padding-top: 6px;
}

.numbertext {
  color: #fffff7;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

.dot {
  height: 15px;
  width: 15px;
  margin: 10px 4px 0 4px 10px; /* consistent spacing, centered */
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.3s ease;
  margin-bottom: 30px;
}

.active {
  background-color: #fffff7;
}

.funfacts-content {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
  flex-wrap: wrap; /* good for mobile */
}


.funfacts{
  background-color: #333333;
  padding:20px;
  align-items: center;
  justify-content: center;
  padding: 30px 20px;
  display: flex;
  flex-direction: column;
  padding-top: 40px;
  padding-bottom: 40px;
}

.funfactimg{
  width: 100%;
  max-width: 300px;
  height: auto;
  border: solid #fffff7 2px;
  transform: scale(1.2); 

  
}

.funfactsul {
  color: orange;
  line-height: 40px;
  font-size: 20px;
  font-family: Georgia, "Times New Roman", Times, serif;
  padding-left: 30px;
  padding-right: 10px;

}

.funfactsh {
  color: rgb(234, 80, 157);
  text-align: center;
  font-size: 30px;
  text-align: left;
  margin-bottom: 10px;


}

.socialmedia {
  margin: 20px;
  margin-top: 30px;
  margin-bottom: 30px;
  transition: transform 0.3s ease;
}

.dropdownai {
  background-color: #333333;
  padding-top: 30px;
  padding-bottom: 30px;
}

.dropdownhuman{

  background-color: #333333;
  padding-top: 40px;
  padding-bottom: 20px;
  min-height: 100vh;
  
}

details {
  margin-top: 29px;
  margin-bottom: 29px;
}

/* .extraspace{
  padding-top: 5px;
  padding-bottom: 5px;
  background-color: #333333;
} */

.branding {
  background-color: #333333;
}

.practice {
  background-color: #333333;
}

.coding {
  background-color: #333333;
}

.sumbranding {
  padding-left: 30px;
  font-family: "Rakkas", serif;
  font-size: 30px;
  color: rgb(234, 80, 157);
}

.sumpractice {
  padding-left: 30px;
  font-family: "Rakkas", serif;
  font-size: 30px;
  color: orange;
}

.sumcoding {
  padding-left: 30px;
  font-family: "Rakkas", serif;
  font-size: 30px;
  color: rgb(234, 80, 157);
}

.pbranding {
  color: #fffff7;
  margin-left: 50px;
  margin-right: 20px;
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 20px;
  padding-top: 20px;
  line-height: 30px;
}

.ppractice {
  color: #fffff7;
  margin-left: 50px;
  margin-right: 20px;
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 20px;
  padding-top: 20px;
  line-height: 30px;
}

.pcoding {
  color: #fffff7;
  margin-left: 50px;
  margin-right: 20px;
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 20px;
  padding-top: 20px;
  line-height: 30px;
}


.sumprecision{
  padding-left: 30px;
  font-family: "Rakkas", serif;
  font-size: 30px;
  color: rgb(234, 80, 157);
}

.precisionimg{
  width:300px;
  height:auto;
}

.creativityimg{
  width:300px;
  height:auto;
}

.precisionimg,
.creativityimg {
  display: block;
  margin: 30px auto; 
}

figcaption{
  color:#fffff7;
text-align: center;
}

.sumcreativity{
  padding-left: 30px;
  font-family: "Rakkas", serif;
  font-size: 30px;
  color: rgb(234, 80, 157);
}

.sumpulse{
  padding-left: 30px;
  font-family: "Rakkas", serif;
  font-size: 30px;
  color: rgb(234, 80, 157);
}

.pprecision {
  color: #fffff7;
  margin-left: 50px;
  margin-right: 20px;
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 20px;
  padding-top: 20px;
  line-height: 30px;
}

.pcreativity {
  color: #fffff7;
  margin-left: 50px;
  margin-right: 20px;
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 20px;
  padding-top: 20px;
  line-height: 30px;
}

.ppulse {
  color: #fffff7;
  margin-left: 50px;
  margin-right: 20px;
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 20px;
  padding-top: 20px;
  line-height: 30px;
}

.homelink{
  text-decoration: none;
  color:rgb(250, 171, 24);
}

.humanlink{
  text-decoration: none;
  color:rgb(234, 80, 157);
}

/* On smaller screens, decrease text size */
@media only screen and (max-width: 300px) {
  .text {
    font-size: 11px;
  }
}
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  padding: 16px;
  color: #fffff7;
  font-weight: bold;
  font-size: 20px;
  transition: 0.3s;
  user-select: none;
}

.next {
  right: 0;
}

.prev {
  left: 0;
}

/*ADJUSTMENTS FOR DESKTOP*/
@media screen and (min-width: 1080px) {
  .socialmedia:hover {
    transform: scale(1.1);
  }

  .titletexts:hover {
    color: orange;
  }

  .socialmedia {
    margin: 20px;
  }

  .funfactsul {
    color: orange;
    line-height: 40px;
    font-size: 20px;
    font-family: Georgia, "Times New Roman", Times, serif;
    margin-left: 20px;
  }

  .funfactsh{
      margin-top: 35px;
  }

  .funfactimg{
      margin-right: 20px;
  }
  .slideshow-wrapper {
    transform: none;
  }

  .slideshow-container {
    width: 350px;
    height: 500px;
  }

.precisionimg{
  width:500px;
  height:auto;
}

.creativityimg{
  width:500px;
  height:auto;
}

}
